petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCBDDCSetCoarseningRatio

Set coarsening ratio used in multilevel

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetCoarseningRatio(PC pc,PetscInt k)

Logically collective on PC

### Input Parameters

| pc | - the preconditioning context
| k | - coarsening ratio (H/h at the coarser level)

### Options Database Keys

-pc_bddc_coarsening_ratio -

### Notes

Approximatively k subdomains at the finer level will be aggregated into a single subdomain at the coarser level

### See Also

PCBDDC, PCBDDCSetLevels()

### Level

intermediate

### Location

src/ksp/pc/impls/bddc/bddc.c

### Implementations

PCBDDCSetCoarseningRatio_BDDC in src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages